About iMochaHelpBook a demo
About iMochaHelpBook a demo
  1. Employee
  • Introduction
  • Skills Assessment API
    • API Reference
      • Getting started
      • API Environment
      • Authentication Mechanism
      • Error Code
      • List timezones
    • Test
      • List all tests
      • Retrieve a test
      • Retrieve test settings
      • Update Test Settings
    • Test Invitations
      • Callback notification
      • Invite candidate
      • Invite candidate by test link
      • Bulk Invite
      • Reattempt Test
      • Cancel Invitation
    • Test Link
      • List all test links
      • Create Test Link
      • Update Test Link
    • Report
      • Retrieve candidate test report
      • Retrieve candidate test report in PDF
      • Get Reports By TestId
      • Get All Reports
    • Callback API
      • Process Callbacks
      • Retrieve Invites
    • GDPR
      • GDPR Data Masking Service
    • Users
      • Get all business units
      • Create New User
      • Update User
      • Active/ Inactive User
    • Tara Interview API
      • Introduction
      • Get All Interviews
      • Schedule Interview
      • Get Detailed Report
      • Get All Reports
  • Skills Intelligence API
    • Introduction
    • Authentication
    • Employee
      • List employees
        GET
      • Get Employee Skills by employeeId
        GET
      • Employee Enrollment
        POST
      • Get Employee Certificates
        GET
      • Update Employee Status
        PATCH
      • Get Employee Assessment Report
        GET
      • Upload Certificate for Employee
        POST
      • Upload Resume for Employee
        POST
      • List Employees with Skills Profile
        GET
      • Assign Learning to Employee
        POST
      • Get Employee Skill Gap
        GET
    • JobProfiles
      • Get All JobProfiles
      • Get JobProfile with Skills By JobProfileId
      • Create JobCode
    • Taxonomy
      • Get all Taxonomy Skills
    • CareerPath
      • Get Employee Career Path by employeeId
    • Account
      • Get Rubric Levels
      • Get Multichannel Validation Weightages
    • Learning
      • Create Learning Resources
      • Get all Learning Resources
    • Certificates
      • Create certificate with skills
      • Get all Certificates
  1. Employee

List employees

GET
/employees
Retrieves a paginated list of employees along with key profile details, organizational attributes, and job profile information.

Request

Query Params

Header Params

Responses

🟢200OK
text/plain
OK
Bodytext/plain

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.skillsintelligence.imocha.io/employees?SearchText=undefined&PageSize=&PageNumber=&IncludeAdditionalDetails=undefined' \
--header 'x-api-key;'
Response Response Example
{
    "items": [
        {
            "employeeId": 0,
            "externalEmployeeId": "string",
            "email": "string",
            "fullName": "string",
            "status": "string",
            "enrolledOn": "2019-08-24T14:15:22.123Z",
            "lastLogin": "2019-08-24T14:15:22.123Z",
            "department": "string",
            "location": "string",
            "managerEmail": "string",
            "employmentType": "string",
            "grade": "string",
            "band": "string",
            "experience": 0,
            "dateOfJoining": "2019-08-24T14:15:22.123Z",
            "dateOfExit": "2019-08-24T14:15:22.123Z",
            "jobProfile": {
                "jobProfileId": 0,
                "jobProfileName": "string"
            },
            "customFields": [
                {
                    "customFieldId": 0,
                    "customFieldName": "string",
                    "value": "string"
                }
            ]
        }
    ],
    "pageNumber": 0,
    "totalPages": 0,
    "totalCount": 0,
    "hasPreviousPage": true,
    "hasNextPage": true
}
Modified at 2026-09-07 11:33:05
Previous
Employee
Next
Get Employee Skills by employeeId
Built with